Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class BLDimensionInfo

    java.lang.Object
      jet.api.BLDimensionInfo

Direct Known Subclasses:
  BVGroupInfo

    public class BLDimensionInfo

extends java.lang.Object

The BLDimensionInfo defines the `Dimension` object of JReport Business Logic. The BusinessLogic of JReport also be called as `Business cube` or `Report cube`.

Dimension objects are cube elements that are the basis for analysis in a report. They present the availability and key performance of data, and characteristically return text data or dates, and answer the following question: who, when, what, where and which. A dimension object can be inserted wherever a field can be inserted, as a column or row in a crosstab, or as a group field or detail field in a table or banded object or as a category or series in a chart. They may be based on DBFields such as region and country or they could be based on formulas such as the year, quarter, or month portion of a date field.

Constructor Summary
`BLDimensionInfo(java.lang.String refMappingName, java.lang.String name)` Constructor.

Method Summary
`void` | `addDetailInfo(BLDetailInfo detailInfo)` Adds a JReport BusinessLogic Detail definition into Dimension.
`java.lang.String` | `getDescription()` Gets the description of Dimension
`BLDetailInfo[]` | `getDetailInfos()` Gets the Detail definitions of Dimension.
`java.lang.String` | `getDisplayName()` Gets the display name of Dimension.
`java.lang.String` | `getName()` Gets the name of Dimension
`java.lang.String` | `getPrompt()` Gets the prompt text of Dimension.
`java.lang.String` | `getRefMappingName()` Gets the referred resource name of Dimension.
`void` | `setDescription(java.lang.String description)` Sets the description of Dimension.
`void` | `setDisplayName(java.lang.String displayName)` Sets the display name of Dimension.
`void` | `setName(java.lang.String name)` Sets the name of Dimension.
`void` | `setPrompt(java.lang.String prompt)` Sets the prompt text of Dimension.
`void` | `setRefMappingName(java.lang.String mappingName)` Sets the referred resource name of Dimension.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BLDimensionInfo

    public BLDimensionInfo(java.lang.String refMappingName,
                           java.lang.String name)

  Constructor. Creates a JReport BusinessLogic Dimension.

  Parameters:
    `name` - Indicates Dimension name.
    `refMappingName` - Indicates field resource name referred by Dimension.

Method Detail

### setDescription

    public void setDescription(java.lang.String description)

  Sets the description of Dimension.

  Parameters:
    `description` - The description of Dimension.

### getDescription

    public java.lang.String getDescription()

  Gets the description of Dimension

  Returns:
    the description of Dimension.

### setPrompt

    public void setPrompt(java.lang.String prompt)

  Sets the prompt text of Dimension.

  Parameters:
    `prompt` - The prompt text of Dimension.

### getPrompt

    public java.lang.String getPrompt()

  Gets the prompt text of Dimension.

  Returns:
    prompt text of Dimension.

### setName

    public void setName(java.lang.String name)

  Sets the name of Dimension.

  Parameters:
    `name` - The name of Dimension.

### getName

    public java.lang.String getName()

  Gets the name of Dimension

  Returns:
    the the name of Dimension.

### setRefMappingName

    public void setRefMappingName(java.lang.String mappingName)

  Sets the referred resource name of Dimension.

  Parameters:
    `mappingName` - The referred resource name of Dimension.

### getRefMappingName

    public java.lang.String getRefMappingName()

  Gets the referred resource name of Dimension.

  Returns:
    The referred resource name of Dimension.

### setDisplayName

    public void setDisplayName(java.lang.String displayName)

  Sets the display name of Dimension.

  Parameters:
    `displayName` - The display name of Dimension.

### getDisplayName

    public java.lang.String getDisplayName()

  Gets the display name of Dimension.

  Returns:
    the display name of Dimension.

### getDetailInfos

    public BLDetailInfo[] getDetailInfos()

  Gets the Detail definitions of Dimension.

  Returns:
    detail definitions array of Dimension.

### addDetailInfo

    public void addDetailInfo(BLDetailInfo detailInfo)

  Adds a JReport BusinessLogic Detail definition into Dimension.

  Parameters:
    `detailInfo` - The Detail definition that will be created in Dimension.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD